OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



support for mysql 5?

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

support for mysql 5?

Postby akhi003 » Fri Nov 18, 2005 9:44 am

Does OJS 2.x support MySql 5? Here is my setup:

OJS 2.0.2
IIS 6.0
PHP 5.0.5
MySQL 5.0

The install page shows and goes to a blank page after I click the "Install Open Journal Systems" button.

A similar issue is also posted under http://pkp.sfu.ca/support/forum/viewtopic.php?t=387

Any information would be appreciated. Thanks.

Nabeel
akhi003
 
Posts: 11
Joined: Tue Nov 15, 2005 3:07 pm

Postby asmecher » Fri Nov 18, 2005 10:43 am

Hello Nabeel,

Yes, OJS 2.x supports PHP 5.x. The blank page you see when you attempt to install almost always arises when the MySQL module has not been loaded in your php.ini configuration file -- from docs/FAQ:

7) The installation form loads successfully, but after clicking the button
to install, a blank page appears and the database was not created.

A: This may indicate that your server does not have the selected PHP database
module installed and enabled (this can be verified by looking at the output
of phpinfo() to see if the required database support exists -- see
http://php.net/phpinfo).

The OJS installer lists database drivers for which the required PHP
extension does not appear to be loaded in brackets (e.g., "[MySQL]").

Most Linux distributions offer a separate package that can be installed for
each supported PHP database module -- e.g., php4-mysql or php-mysql (for
MySQL support), or php4-pgsql or php-pgsql (for PostgreSQL support).

Note also that even with the module installed it may be necessary to modify
your php.ini configuration to load the module, by adding "extension=mysql.so" or "extension=pgsql.so", for example.


Note that PHP 5.0.5 has changed some of the reference rules, so you may see a few error messages; these will be corrected in the next release of OJS. Feel free to post here if you encounter them and I'll provide a patch.

There are
Regards,
Alec Smecher
Open Journal Systems Team
asmecher
 
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

php-mysql.dll

Postby akhi003 » Fri Nov 18, 2005 2:32 pm

Thanks Alec. That was the problem. I added the extension for php-mysql.dll in the php.ini file and it worked fine.

Nabeel
akhi003
 
Posts: 11
Joined: Tue Nov 15, 2005 3:07 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: No registered users and 1 guest

cron